import * as React from 'react';
import FullCalendar, { CalendarOptions } from '@fullcalendar/react';
import dayGridPlugin from '@fullcalendar/daygrid';
import timeGridPlugin from '@fullcalendar/timegrid';

function CalendarWrapper(props: CalendarOptions, ref: React.Ref<FullCalendar>) {
  let plugins = [dayGridPlugin, timeGridPlugin];
  if (props.plugins) {
    plugins = plugins.concat(props.plugins);
  }

  return (
    <FullCalendar
      ref={ref}
      allDaySlot={false}
      firstDay={1}
      height="auto"
      plugins={plugins}
      {...props}
    />
  );
}

export const Calendar = React.forwardRef<FullCalendar, CalendarOptions>(
  CalendarWrapper
);
